Show / Hide Table of Contents

# Struct ImGuiPlatformIO

##### Inherited Members

System.ValueType.Equals(System.Object)
System.ValueType.GetHashCode()
System.ValueType.ToString()
System.Object.Equals(System.Object, System.Object)
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.GetType()

###### Namespace: ImGuiNET

###### Assembly: ImGui.NET.dll

##### Syntax

    public struct ImGuiPlatformIO

### Fields

| Improve this Doc View Source

#### Monitors

##### Declaration

    public ImVector Monitors

##### Field Value

Type | Description
--- | ---
ImVector |

| Improve this Doc View Source

#### Platform_CreateVkSurface

##### Declaration

    public IntPtr Platform_CreateVkSurface

##### Field Value

Type | Description
--- | ---
System.IntPtr |

| Improve this Doc View Source

#### Platform_CreateWindow

##### Declaration

    public IntPtr Platform_CreateWindow

##### Field Value

Type | Description
--- | ---
System.IntPtr |

| Improve this Doc View Source

#### Platform_DestroyWindow

##### Declaration

    public IntPtr Platform_DestroyWindow

##### Field Value

Type | Description
--- | ---
System.IntPtr |

| Improve this Doc View Source

#### Platform_GetWindowDpiScale

##### Declaration

    public IntPtr Platform_GetWindowDpiScale

##### Field Value

Type | Description
--- | ---
System.IntPtr |

| Improve this Doc View Source

#### Platform_GetWindowFocus

##### Declaration

    public IntPtr Platform_GetWindowFocus

##### Field Value

Type | Description
--- | ---
System.IntPtr |

| Improve this Doc View Source

#### Platform_GetWindowMinimized

##### Declaration

    public IntPtr Platform_GetWindowMinimized

##### Field Value

Type | Description
--- | ---
System.IntPtr |

| Improve this Doc View Source

#### Platform_GetWindowPos

##### Declaration

    public IntPtr Platform_GetWindowPos

##### Field Value

Type | Description
--- | ---
System.IntPtr |

| Improve this Doc View Source

#### Platform_GetWindowSize

##### Declaration

    public IntPtr Platform_GetWindowSize

##### Field Value

Type | Description
--- | ---
System.IntPtr |

| Improve this Doc View Source

#### Platform_OnChangedViewport

##### Declaration

    public IntPtr Platform_OnChangedViewport

##### Field Value

Type | Description
--- | ---
System.IntPtr |

| Improve this Doc View Source

#### Platform_RenderWindow

##### Declaration

    public IntPtr Platform_RenderWindow

##### Field Value

Type | Description
--- | ---
System.IntPtr |

| Improve this Doc View Source

#### Platform_SetImeInputPos

##### Declaration

    public IntPtr Platform_SetImeInputPos

##### Field Value

Type | Description
--- | ---
System.IntPtr |

| Improve this Doc View Source

#### Platform_SetWindowAlpha

##### Declaration

    public IntPtr Platform_SetWindowAlpha

##### Field Value

Type | Description
--- | ---
System.IntPtr |

| Improve this Doc View Source

#### Platform_SetWindowFocus

##### Declaration

    public IntPtr Platform_SetWindowFocus

##### Field Value

Type | Description
--- | ---
System.IntPtr |

| Improve this Doc View Source

#### Platform_SetWindowPos

##### Declaration

    public IntPtr Platform_SetWindowPos

##### Field Value

Type | Description
--- | ---
System.IntPtr |

| Improve this Doc View Source

#### Platform_SetWindowSize

##### Declaration

    public IntPtr Platform_SetWindowSize

##### Field Value

Type | Description
--- | ---
System.IntPtr |

| Improve this Doc View Source

#### Platform_SetWindowTitle

##### Declaration

    public IntPtr Platform_SetWindowTitle

##### Field Value

Type | Description
--- | ---
System.IntPtr |

| Improve this Doc View Source

#### Platform_ShowWindow

##### Declaration

    public IntPtr Platform_ShowWindow

##### Field Value

Type | Description
--- | ---
System.IntPtr |

| Improve this Doc View Source

#### Platform_SwapBuffers

##### Declaration

    public IntPtr Platform_SwapBuffers

##### Field Value

Type | Description
--- | ---
System.IntPtr |

| Improve this Doc View Source

#### Platform_UpdateWindow

##### Declaration

    public IntPtr Platform_UpdateWindow

##### Field Value

Type | Description
--- | ---
System.IntPtr |

| Improve this Doc View Source

#### Renderer_CreateWindow

##### Declaration

    public IntPtr Renderer_CreateWindow

##### Field Value

Type | Description
--- | ---
System.IntPtr |

| Improve this Doc View Source

#### Renderer_DestroyWindow

##### Declaration

    public IntPtr Renderer_DestroyWindow

##### Field Value

Type | Description
--- | ---
System.IntPtr |

| Improve this Doc View Source

#### Renderer_RenderWindow

##### Declaration

    public IntPtr Renderer_RenderWindow

##### Field Value

Type | Description
--- | ---
System.IntPtr |

| Improve this Doc View Source

#### Renderer_SetWindowSize

##### Declaration

    public IntPtr Renderer_SetWindowSize

##### Field Value

Type | Description
--- | ---
System.IntPtr |

| Improve this Doc View Source

#### Renderer_SwapBuffers

##### Declaration

    public IntPtr Renderer_SwapBuffers

##### Field Value

Type | Description
--- | ---
System.IntPtr |

| Improve this Doc View Source

#### Viewports

##### Declaration

    public ImVector Viewports

##### Field Value

Type | Description
--- | ---
ImVector |